package fitconnect.impl.crypto;

import com.nimbusds.jose.jwk.RSAKey;
import fitconnect.api.crypto.DecryptionService;
import fitconnect.api.problems.DecryptionProblem;

public class JWEDecryptionService extends CryptoService implements DecryptionService {

    @Override
    public String decryptString(RSAKey privateKey, String encryptedData) throws DecryptionProblem {
        return decrypt(privateKey, encryptedData).toString();
    }

    @Override
    public byte[] decryptBytes(RSAKey privateKey, String encryptedData) throws DecryptionProblem {
        return decrypt(privateKey, encryptedData).toBytes();
    }
}
