package fitconnect.impl.crypto;

import com.nimbusds.jose.Payload;
import com.nimbusds.jose.jwk.RSAKey;
import fitconnect.api.problems.EncryptionProblem;

public class JWEEncryptionService extends CryptoService implements fitconnect.api.crypto.EncryptionService {

    @Override
    public String encryptString(RSAKey publicKey, String data) throws EncryptionProblem {
        final Payload payload = new Payload(data);
        return encrypt(publicKey, payload);
    }

    @Override
    public String encryptBytes(RSAKey publicKey, byte[] bytes) throws EncryptionProblem {
        final Payload payload =  new Payload(bytes);;
        return encrypt(publicKey, payload);
    }
}
